Skip to main content

Read data exchange grant

Use this endpoint to read the details of a grant with the given issuer_guid and grantee GUIDs. For a grant to return, you must pass each grantee_guid belonging to the grant. If a grant has two grantees on it and you only include one grantee_guid, the grant will not be returned. This endpoint requires standard Platform API authentication.

GET
/data_exchange/grant

Query Parameters

FieldRequiredType

issuer_guid

The unique identifier for the issuing client.

Required
String

grantee_guids[]

The unique identifier for each grantee client on a grant.

For example, ?issuer_guid=CLT-7829f71c-2e8c-afa5-2f55-fa3634b89874&grantee_guids[]=CLT-7829f71c-afa5-2e8c-fa36-34b82f559874&grantee_guids[]=CLT-372c33f9-c316-433b-b081-b7b314bef4b5.

Required
Array

Header Parameters

FieldRequiredType

Accept-Version

MX Platform API version.

Required
String
Loading...